aboutsummaryrefslogtreecommitdiff
path: root/packages/taler-integrationtests/scenario
diff options
context:
space:
mode:
authorFlorian Dold <florian.dold@gmail.com>2020-08-07 13:18:29 +0530
committerFlorian Dold <florian.dold@gmail.com>2020-08-07 13:18:29 +0530
commit5ab2e235c0cb52c5e0b88c1ee68a0ff992188a23 (patch)
tree7e1f0f3e93a9a64f9b99c86817e73d3a73eaf477 /packages/taler-integrationtests/scenario
parent898de013e70f63221f90289da810f8facc1608f8 (diff)
downloadwallet-core-5ab2e235c0cb52c5e0b88c1ee68a0ff992188a23.tar.xz
add prompt payment scenario
Diffstat (limited to 'packages/taler-integrationtests/scenario')
-rwxr-xr-xpackages/taler-integrationtests/scenario26
1 files changed, 26 insertions, 0 deletions
diff --git a/packages/taler-integrationtests/scenario b/packages/taler-integrationtests/scenario
new file mode 100755
index 000000000..a0050258e
--- /dev/null
+++ b/packages/taler-integrationtests/scenario
@@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+
+# Simple test runner for the wallet integration tests.
+#
+# Usage: $0 TESTGLOB
+#
+# The TESTGLOB can be used to select which test cases to execute
+
+set -eu
+
+if [ "$#" -ne 1 ]; then
+ echo "Usage: $0 SCENARIO"
+ exit 1
+fi
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
+
+cd $DIR
+
+./node_modules/.bin/tsc
+
+export ESM_OPTIONS='{"sourceMap": true}'
+
+file=lib/scenario-$1.js
+
+exec node -r source-map-support/register -r esm $file